API Reference (2.0)Application API
Reset server database password
POST
/api/application/servers/{server_id}/databases/{database_id}/reset-passwordRotates the password for a database attached to a server.
Authorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_id*integer
The server ID.
database_id*string
The database ID.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/application/servers/1/databases/Lk3jx4pQ/reset-password"Empty